Unmute channel
curl --request POST \
--url https://{host}/api/{session}/channels/{id}/unmute \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/channels/{id}/unmute"
headers = {"apikey": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/channels/{id}/unmute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Channel notifications reactivated successfully"
}
Channels
Unmute Channel
Unmute notifications from a muted channel
POST
/
api
/
{session}
/
channels
/
{id}
/
unmute
Unmute channel
Description
This endpoint allows you to reactivate notifications from a channel that was previously muted. After unmuting, you will resume receiving notifications for updates from the channel.URL Parameters
string
required
WhatsApp unique authenticated session ID
string
required
Unique ID of the channel to reactivate notifications
Response
boolean
Indicates if the channel was unmuted successfully
{
"success": true,
"message": "Channel notifications reactivated successfully"
}
Status Codes
200- Channel unmuted successfully400- Invalid ID or channel is already unmuted401- Unauthorized404- Channel not found500- Internal server error
Usage Example
curl -X POST https://api.wappfy.com.br/api/my-session/channels/123456789@newsletter/unmute
const session = 'my-session';
const channelId = '123456789@newsletter';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/channels/${channelId}/unmute`, {
method: 'POST'
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
channel_id = '123456789@newsletter'
response = requests.post(f'https://api.wappfy.com.br/api/{session}/channels/{channel_id}/unmute')
data = response.json()
print(data)
